Person Retrieval by CPF
GET/v1/api/people/cpf/:cpf
This endpoint retrieves an existing person by their CPF document number.
Upon successful retrieval, the response will contain the person's personal details, address data, and loyalty information.
In case of errors or if the requested person is not found, the response structure is designed to provide appropriate error messages, facilitating efficient error handling and resolution.
Request
Path Parameters
Responses
- 200
Successful retrieval.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
First name.
Last name.
Email.
Phone.
CPF.
Passport.
Date of birth.
Country of origin.
Registration source.
Street.
Address number.
Zip code.
Address complement.
Neighborhood.
City.
State.
Possible values: [ADULT, CHILD, null]
Classification of the age group (Adult or Child).
Loyalty level.
Loyalty opt-in.
Person ID.
Creation date.
Default value: true
Whether the person is enabled or not.
loyaltyData object[]
List of loyalty programs.
Loyalty program ID.
Loyalty program alias.
Balance.
Next expiration date.
Next expiration value.
Loyalty tier.
{
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"cpf": "string",
"passport": "string",
"dob": "string",
"country": "string",
"registrationSource": "string",
"addressStreetName": "string",
"addressNumber": "string",
"addressZipCode": "string",
"addressAdditionalInformation": "string",
"addressDistrict": "string",
"addressCity": "string",
"addressState": "string",
"loyaltyLevel": "string",
"loyaltyOptIn": true,
"id": "string",
"creationDate": "string",
"enabled": true,
"loyaltyData": [
{
"id": "string",
"alias": "string",
"balance": 0,
"nextExpirationAt": "string",
"nextExpirationValue": 0,
"tier": "string"
}
]
}